<template>
  <div class="data-table" :style="{ marginTop: marginTop }">
    <div :style="dataTableContentStyle" v-loading="loading" element-loading-text="拼命加载中" element-loading-spinner="el-icon-loading" element-loading-background="rgba(0, 0, 0, 0.8)" class="data-table-content">
      <div class="flex">
        <div :class="dataId ? 'bcTitle': 'manageTitle'">{{ dataTitle }}</div>
      </div>
      <template v-if="tableData.length">
        <div style="height:100%">
          <el-table v-el-table-infinite-scroll="load" :data="filteredTableData" :summary-method="getSummaries" :span-method="tableSpanMethod" stripe :show-summary="showSummary" border ref="table" :height="tableHeight ? tableHeight : minHeight - 8 + 'vh'" class="table infinite-list" style="width: 100%; overflow: auto" @select="selectHandler">
            <el-table-column v-for="(item, index) in tableColsCopy" :sortable="item.needSort ? true : false" :key="index" :prop="item.columnName" :label="item.columnLabel" :show-overflow-tooltip="showOverflowTooltip">
              <template #header>
                <span class="colTips">
                  <el-tooltip :content="item.columnDescribe" placement="top">
                    <span>{{ item.columnLabel }}</span>
                  </el-tooltip>
                </span>
                <span v-if="item.needFilters">
                  <el-popover placement="bottom" trigger="click" @show="popoverShowHandler(item.columnName)" @hide="popoverHideHandler">
                    <i slot="reference" :class="[
                        'filter-arrow',
                        'el-icon-arrow-down',
                        arrowClass(item.columnName),
                      ]" />
                    <el-form>
                      <el-form-item :label="item.columnLabel">
                        <el-select v-model="filterValues[item.columnName]" size="small" placeholder="筛选" default-first-option filterable clearable>
                          <el-option v-for="(option, optionIndex) in tableDataFilters[
                              item.columnName
                            ]" :key="option.value + optionIndex" :value="option.value" :label="option.text" />
                        </el-select>
                      </el-form-item>
                    </el-form>
                  </el-popover>
                </span>
              </template>
            </el-table-column>
            <el-table-column label="任务类型">
              <template slot-scope="scope">
                <div>{{ scope.row.taskType == 1 ? '轮询方式' :'CRON表达式' }}</div>
              </template>
            </el-table-column>
            <el-table-column label="服务类型">
              <template slot-scope="scope">
                <div>{{ scope.row.serviceType == 1 ? '接收' :'采集' }}</div>
              </template>
            </el-table-column>
            <el-table-column label="采集频率单位">
              <template slot-scope="scope">
                <div>{{ scope.row.frequencyUnit ? formatTime(scope.row.frequencyUnit) + '秒' :'' }}</div>
              </template>
            </el-table-column>
            <el-table-column label="状态">
              <template slot-scope="scope">
                <div>{{ scope.row.runState ? '启用' :'停用' }}</div>
              </template>
            </el-table-column>
            <el-table-column fixed="right" label="操作" width="80px">
              <template slot-scope="scope">
                <div class="hd-td">
                  <template v-if="scope.row.serviceType == 4">
                    <el-button v-if="!scope.row.runState" @click="handleStart(scope.row)" type="text" size="small" class="rmScs">启用</el-button>
                    <el-button v-else type="text" @click="handleEdit(scope.row)" size="small" class="rmScs">停用</el-button>
                  </template>
                  <template v-else>
                    <el-button class="rmSc" type="text" @click="handleRemove(scope.row)" size="small">重置</el-button>
                  </template>
                </div>
              </template>
            </el-table-column>
          </el-table>
        </div>
      </template>
      <template v-else>
        <el-empty description="暂无数据"></el-empty>
      </template>
    </div>
  </div>
</template>

<script>
import { setTableFilters } from "@/utils/table";
import Dialog from "@/layout/components/Dialog/index.vue";
import NoData from "@/components/nodata";
import { translateDataToTreeAllTreeMsg, getAuthData } from "@/utils/validate";
import { Query, newData, modifyData, moveData, start, stop } from "@/api/webApi";
import { getToken } from '@/utils/auth';
export default {
  name: "DataTable",
  props: {
    dataContent: {
      type: Object,
      default: () => ({}),
    },
    //弹框宽度
    width: {
      type: String,
      default: "630px",
    },
    //弹框是否显示在body上
    isBody: {
      type: Boolean,
      default: false,
    },
    //弹框表单-行数
    rows: {
      type: Number,
      default: 24,
    },
    //弹框-表单文字宽度
    labelWidth: {
      type: String,
      default: "100px",
    },
    //表格高度
    tableHeight: {
      type: [String, Number],
      default: 0,
    },
    minHeight: {
      type: Number,
      default: 89,
    },
    // 是否显示合计行
    showSummary: {
      type: Boolean,
      default: false,
    },
    marginTop: {
      type: String,
      default: "0px",
    },
    // 不换行，溢出隐藏
    showOverflowTooltip: {
      type: Boolean,
      default: false,
    },
    //操作列宽度
    fixedWidth: {
      type: String,
      default: "180px",
    },
    dataId: {
      type: Number
    },
    dataTitle: {
      type: String,
      default: "",
    },
  },
  components: { Dialog, NoData },
  data () {
    return {
      pageTitle: '',
      asShow: true,
      loading: false,
      flag: false,
      serviceId: null,
      rmFlag: false,
      rowTitle: "",
      page: 0,
      pageSize: 10,
      noMore: false,
      tableCols: [], //表头数据
      tableData: [], //表格数据
      tableColsCopy: [], //表头数据缓存
      tableDataFilters: {}, //表头-下拉数据
      filterValues: {}, //表头-下拉-选中数据
      tableDataCopy: [], //缓存table数据
      tableGroups: [], //表格分组数据
      colShowFilter: "", //表头-下拉-箭头
      spanArr: [], //表格分组数据缓存
      pos: 0, //表格分组计数
      tableTitle: "新增", //弹框标题
      tableType: "add", //弹框类型=新增/编辑
      tableForm: {}, //弹框表单
      rmTitle: "", //弹框-删除-标题
      tableObj: {}, //增/删/改数据缓存
      tableOptions: {}, //弹框-下来数据缓存
      tableArrs: [], //重组table-表头下拉
      proAll: false, //重组时-所有请求是否都完成
      roles: JSON.parse(sessionStorage.getItem("userAuthList")) ?? [],
      tableOptionscp: {},
      tabledatacopy: {},
      queryId: 3,
      form: {
        computing_expression: null,
        is_exec: null,
        isActiveTable: null,
        library_name: null,
        library_sort: null,
        library_type: null,
        parmIndex: null,
        sourceObjectName: null,
        datasource_id: null
      },
      datasource_id: 7,
      dataSourceArrs: []
    };
  },
  watch: {
    dataContent: {
      handler (obj) {
        if (obj.deployNodeID) {
          this.queryId = obj.deployNodeID
          this.resetTable();
          this.getColumnData(obj.deployNodeID)
        } else {
          this.resetTable();
        }
      },
      deep: true
    }
  },
  computed: {
    dataTableContentStyle () {
      const style = {};
      if (this.minHeight) {
        style["min-height"] = this.minHeight;
      }
      if (this.tableHeight) {
        style["height"] = this.tableHeight;
      }
      return style;
    },
    //设置表头-下拉-箭头样式
    arrowClass () {
      return function (prop) {
        let classString = "";
        if (this.colShowFilter === prop) {
          return "arrow-active";
        }
        if (
          Object.entries(this.tableDataFilters).find(
            ([key, arr]) => this.filterValues[prop]
          )
        ) {
          classString += "arrow-blue";
        }
        return classString;
      };
    },
    //设置新增修改表单类型
    fromDataType () {
      return function (type) {
        return type.replace(/\([^\)]*\)/g, "");
      }
    },
    //设置表头-下拉-选中数据
    filteredTableData () {
      if (this.isTree) {
        this.tableData = translateDataToTreeAllTreeMsg(
          this.tableData,
          "parentID",
          "companyID"
        );
      }
      return this.tableData.filter((item) => {
        let flag = true;
        Object.entries(this.filterValues).forEach(([key, value]) => {
          if (value !== "" && item[key] !== value) {
            flag = false;
          }
        });
        return flag;
      });
    },
  },
  mounted () {
    const { auth_id } = this.$route.meta
    const { arrs } = getAuthData(auth_id)
    const table = arrs.filter(item => item.auth_type == 4)
    if (table && table.length) {
      const obj = table[0]
      this.datasource_id = obj.auth_id
      // this.getColumnData();
    }
  },
  updated () {
    this.$refs["table"]?.doLayout();
  },
  methods: {
    //获取表头数据
    async getColumnData (id) {
      try {
        const { code, returnData } = await Query({
          serviceId: SERVICE_ID.sysUserAuthId,
          dataContent: [{ auth_id: this.datasource_id,user_id: getToken('userid'), }],
          event: '0'
        });
        if (code == 0) {
          if (returnData && returnData.length) {
            const titleColumn = returnData.find(
              (item) => item.needShow === 1
            );
            if (titleColumn) {
              this.rowTitle = titleColumn.columnName;
            }
            this.tableCols = returnData;
            this.getQuery(id);
          }
        } else {
          this.$message.error("获取表头数据失败");
        }
      } catch (error) {
        console.log(error)
      }
    },
    eledite () {
      this.flag = false;
      const arrbegin = _.cloneDeep(this.tableOptionscp);
      this.tableOptions = arrbegin;
    },
    load () {
      //
      if (!this.isTree) {
        if (this.noMore || this.loading) {
          return;
        }
        this.getQuery(this.queryId);
      }
    },
    resetTable () {
      this.page = 0;
      this.noMore = false;
      this.tableData = [];
    },
    changeSelect (data, name) {
      if (this.tableForm[data] === "") {
        this.tableForm[data] = null;
      }
      this.tableForm[this.tableOptions[data][0].setvalue] =
        this.tableForm[data];
      const arrbegin = _.cloneDeep(this.tabledatacopy);
      if (this.tableForm.beginNode) {
        this.tableOptions.beginPosition = arrbegin.beginPosition.filter(
          (i) => i.nodeCode === this.tableForm.beginNode
        );
        arrbegin.beginPosition.forEach((element) => {
          if (element.v === this.tableForm.beginPosition) {
            if (element.nodeCode !== this.tableForm.beginNode) {
              this.tableForm.beginPosition = "";
            }
          }
        });
        // let arr = [];
        // this.tableOptions.beginPosition.forEach((element) => {
        //   arr.push(element.nodeCode);
        // });
        // if (
        //   !arr.includes(this.tableForm.beginPosition) &&
        //   this.tableForm.beginNode
        // ) {
        //   this.tableForm.beginPosition = null;
        // }
        this.asShow = false;
        this.asShow = true;
      }
      if (this.tableForm.beginPosition && !this.tableForm.beginNode) {
        arrbegin.beginPosition.forEach((element) => {
          if (this.tableForm.beginPosition === element.v) {
            this.tableForm.beginNode = element.nodeCode;
          }
        });
      }
      if (this.tableForm.endNode) {
        this.tableOptions.endPosition = arrbegin.endPosition.filter(
          (i) => i.nodeCode === this.tableForm.endNode
        );
        arrbegin.endPosition.forEach((element) => {
          if (element.v === this.tableForm.endPosition) {
            if (element.nodeCode !== this.tableForm.endNode) {
              this.tableForm.endPosition = "";
            }
          }
        });
        this.asShow = false;
        this.asShow = true;
      }
      if (this.tableForm.endPosition && !this.tableForm.endNode) {
        arrbegin.endPosition.forEach((element) => {
          if (this.tableForm.endPosition === element.v) {
            this.tableForm.endNode = element.nodeCode;
          }
        });
      }
    },
    inputChangeHandler (data) {
      if (this.tableForm[data] === "") {
        this.tableForm[data] = null;
      }
    },
    //获取表格数据
    async getQuery (id) {
      try {
        this.loading = true;
        const { code, returnData, columnset } = await Query({
          serviceId: 3,
          page: ++this.page,
          pageSize: this.pageSize,
          dataContent:
          {
            "workId": `${id}`,
          }
          ,
          event: '0'
        });
        if (code == 0) {
          if (returnData.length === 0) {
            this.page--;
            this.noMore = true;
            this.loading = false;
          } else {
            this.tableData.push(...returnData);
            // this.tableCols = columnset;
            setTimeout(() => {
              this.initTableData();
              this.loading = false;
            }, 100);
          }
        } else {
          this.page--;
          this.loading = false;
          this.$message.error("获取表格数据失败");
        }
      } catch (error) {
        this.page--;
        this.loading = false;
      }
    },
    //服务列表-增/删/改
    async generalDataReception (event, data) {
      try {
        const params = {
          serviceId: this.queryId,
          dataContent: data,
          event: `${event}`,
        };
        const { code } =
          event == 1
            ? await newData(params)
            : event == 2
              ? await modifyData(params)
              : await moveData(params);
        if (code == 0) {
          this.$message.success("操作成功");
          this.resetTable();
          this.getQuery(this.queryId);
        } else {
          this.$message.error("操作失败");
        }
      } catch (error) {
        this.$message.error("操作失败");
      }
    },

    //服务启停
    async controlService (event, data) {
      try {
        const params = {
          serviceId: data.serviceID
        };
        const { code } =
          event == 1
            ? await start(params)
            : await stop(params);
        if (code == 0) {
          this.$message.success('操作成功')
          this.resetTable();
          this.getColumnData(this.queryId)
        } else {
          this.$message.error("操作失败");
        }
      } catch (error) {
        console.log(error)
        this.$message.error("操作失败");
      }
    },
    // 表格勾选
    toggleRowSelection (row, isSelected) {
      this.$refs["table"].toggleRowSelection(row, isSelected);
    },
    formatTime (sc) {
      const type = typeof (sc) === 'string' ? sc : `${sc}`
      if (type && type.length) {
        if (type.length <= 4) {
          return Number(type) / 1000
        } else {
          return Number(type) / (1000 * 60)
        }
      }
    },
    // 表格初始勾选
    selectTableRows (tableData, selectFlagName) {
      tableData.forEach((row) => {
        this.$refs["table"].toggleRowSelection(row, !!row[selectFlagName]);
      });
      this.$emit("selectionAll", this.$refs.table.selection);
    },
    //初始化表格
    initTableData () {
      const newDatas = []
      this.tableColsCopy = this.tableCols.filter((item) => item.needShow);
      this.tableColsCopy = _.orderBy(this.tableColsCopy, ['orderNumber'], ['asc']);
      this.tableColsCopy.map((item, index) => {
        if (item.columnName == 'serviceType' || item.columnName == 'frequencyUnit' || item.columnName == 'runState' || item.columnName == 'taskType') {
          this.tableColsCopy.splice(index, 1)
        }
      })
      this.tableDataCopy = _.cloneDeep(this.tableData);
      const datas = _.cloneDeep(this.tableColsCopy);
      // const reqUts = [];
      datas.forEach(async (item) => {
        this.tableDataFilters[item.columnName] = [];
        if (item.needGroup) {
          this.tableGroups.push(item.columnName);
        }
        if (item.listqueryTemplateID || item.listqueryTemplateID == 0) {
          this.tableArrs.push(item.columnName);
          // const reqUt = this.getSelectData(item.listqueryTemplateID)
          // reqUts.push(reqUt)
          if (!this.tableOptions[item.columnName]) {
            //开始位置beginPosition 结束位置endPosition (区分开始结束位置必须传null)
            if (
              item.columnName !== "beginPosition" &&
              item.columnName !== "endPosition"
            ) {
              this.tableOptions[item.columnName] = await this.getSelectData(
                item.listqueryTemplateID
              );
            } else {
              this.tableOptions[item.columnName] = await this.getSelectData(
                item.listqueryTemplateID,
                null
              );
              this.tabledatacopy[item.columnName] = _.cloneDeep(
                this.tableOptions[item.columnName]
              );
            }
          } else {
            if (
              item.columnName === "beginPosition" ||
              item.columnName === "endPosition"
            ) {
              this.tableOptions[item.columnName] = await this.getSelectData(
                item.listqueryTemplateID,
                null
              );
            }
          }
          //
        }
        // this.filterValues[item.columnName] = ''
      });
      setTableFilters(this.tableData, this.tableDataFilters);
      this.tableGroup(this.tableData);
      // this.selectTableRows(this.tableData, "DeployID");
      this.tableOptionscp = _.cloneDeep(this.tableOptions);
      const arrbegin = _.cloneDeep(this.tableOptions);
      if (arrbegin) {
        setTimeout(() => {
          this.tableData.forEach((element) => {
            if (this.tableOptions.beginNode) {
              arrbegin.beginNode.forEach((res) => {
                if (res.v === element.beginNode) {
                  element.beginNode = res.k;
                }
              });
              arrbegin.endNode.forEach((res) => {
                if (res.v == element.endNode) {
                  element.endNode = res.k;
                }
              });
              arrbegin.calculationBasis.forEach((res) => {
                if (res.v == element.calculationBasis) {
                  element.calculationBasis = res.k;
                }
              });
              //位置
              this.tabledatacopy.beginPosition.forEach((res) => {
                if (res.v == element.beginPosition) {
                  element.beginPosition = res.k;
                }
              });
              this.tabledatacopy.endPosition.forEach((res) => {
                if (res.v == element.endPosition) {
                  element.endPosition = res.k;
                }
              });
            }
          });
        }, 100);
      }
      // this.getSelectDataAll(reqUts)
    },
    //获取所有获取弹框-下拉数据-请求状态
    getSelectDataAll (reqUts) {
      Promise.all(reqUts)
        .then((res) => {
          this.proAll = true;
        })
        .catch((err) => {
          this.proAll = false;
        });
    },
    //获取弹框-下拉数据
    async getSelectData (id, name) {
      // name ? [name] : name === null ? [null]: [],
      const { code, returnData } = await Query({
        id,
        dataContent: name ? [name] : name === null ? [null] : [],
      });
      if (code == 0) {
        return returnData.listValues;
      } else {
        return [];
      }
    },
    //重组table-显示名称
    setTable () {
      this.tableArrs.forEach((item) => {
        this.tableOptions[item].forEach((p) => {
          this.tableDataCopy.forEach((msg) => {
            if (msg[item] == p.v) {
              msg[item] = p.k;
            }
          });
          this.tableDataFilters[item].forEach((cap) => {
            if (cap.value == p.v) {
              cap.text = p.k;
              cap.value = p.k;
            }
          });
        });
      });
      this.tableData = this.tableDataCopy;
    },
    //分组
    tableGroup (tableData) {
      const spanArr = [];
      let pos = 0;
      let ifYj = this.tableGroups[0];
      for (let i = 0; i < tableData.length; i++) {
        if (i === 0) {
          spanArr.push(1);
        } else {
          if (tableData[i][ifYj] === tableData[i - 1][ifYj]) {
            spanArr[pos] += 1;
            spanArr.push(0);
          } else {
            spanArr.push(1);
            pos = i;
          }
        }
      }
      this.spanArr = spanArr;
      this.pos = pos;
    },
    popoverShowHandler (prop) {
      this.colShowFilter = prop;
    },
    popoverHideHandler () {
      this.colShowFilter = "";
    },
    //分组
    tableSpanMethod ({ row, column, rowIndex, columnIndex }) {
      if (this.tableGroups.includes(column["property"])) {
        const _row = this.spanArr[rowIndex];
        const _col = _row > 0 ? 1 : 0;
        return {
          rowspan: _row,
          colspan: _col,
        };
      }
    },
    //合计
    getSummaries (param) {
      const { columns, data } = param;
      const sums = [];
      columns.forEach((column, index) => {
        this.tableColsCopy.forEach((p) => {
          if (column.property == p.columnName && p.needCount) {
            const values = data.map((item) => Number(item[column.property]));
            if (!values.every((value) => isNaN(value))) {
              sums[index] = values.reduce((prev, curr) => {
                const value = Number(curr);
                if (!isNaN(value)) {
                  return prev + curr;
                } else {
                  return prev;
                }
              }, 0);
              sums[index] += "";
            }
          }
        });
      });
      return sums;
    },
    //弹框-确定
    handleOk () {
      this.submitClickHandler();
    },
    //滚动
    tableLoad () { },
    //表格-新增
    handleAdd () {
      this.flag = true;
      this.tableType = "add";
      this.tableTitle = "新增算法配置";
      for (const key in this.form) {
        if (Object.hasOwnProperty.call(this.form, key)) {
          this.form[key] = null
        }
      }
    },
    async getDataSourceId (id) {
      const { code, returnData } = await Query({
        serviceId: id,
        dataContent: this.dataContent,
      });
      if (code == 0) {
        this.dataSourceArrs = returnData
      }
    },
    //表格-编辑
    handleEdit (row) {
      row.runState = 0
      this.controlService(0, row)
    },

    handleStart (row) {
      row.runState = 1
      this.controlService(1, row)
    },

    // 新增/编辑-确认
    submitClickHandler () {
      this.$refs["ruleForm"].validate((valid) => {
        if (valid) {
          this.form = Object.assign(this.form, this.dataContent)
          if (this.tableType == "add") {
            this.generalDataReception(1, this.form);
          } else {
            this.generalDataReception(2, this.form);
          }
        } else {
          return false;
        }
      });
    },
    //表格-删除
    handleRemove (row) {
      this.controlService(0, row)
    },
    //表格-删除-确认
    tableRemove () {
      this.generalDataReception(3, this.tableObj);
    },

    // 表格-选中行
    selectHandler (selection, row) {
      this.$emit("selection-change", selection, row);
    },
    // 表格-查询模板预览
    handlePreview (row) {
      this.$emit("preview", row);
    },
  },
};
</script>

<style lang="scss" scoped>
.data-table {
  width: 100%;
  // background-color: #fff;
  padding: 20px;
  .data-table-content {
    height: 100%;
    .nodata {
      margin-top: 25px;
    }
  }
  .bcButton {
    background: #2579a0;
    border-radius: 4px;
    border-color: #2579a0;
    color: #ffffff;
  }
  .bcButton.is-disabled {
    color: #8cc5ff;
    background-color: #ecf5ff;
    border-color: #d9ecff;
  }
  .bcTitle {
    font-size: 20px;
    font-family: Microsoft YaHei;
    font-weight: bold;
    color: #303133;
  }
  ::v-deep .table {
    width: 100%;
    margin-top: 25px;
    .cell {
      padding: 0;
      text-align: center;
      font-size: 14px;
      font-family: Helvetica, "Microsoft YaHei";
      letter-spacing: 0;
    }
    .hd-td {
      display: flex;
      justify-content: center;
    }
    .cell-click {
      cursor: pointer;
      color: #2d7cff;
      &.cell-clicked {
        color: purple;
      }
    }
    .el-table__header-wrapper {
      .cell {
        font-weight: bold;
        color: #101116;
        > .el-checkbox {
          display: none;
        }
      }
      .has-gutter {
        tr {
          .bgl-huang {
            background: #fcf0b1;
          }
        }
      }
    }
    .el-table__body-wrapper {
      tr.bgl-hui {
        background: #d2d6df;
        td {
          background: #d2d6df;
        }
        &.redBorder {
          position: relative;
          &::after {
            content: "";
            position: absolute;
            left: 0;
            bottom: 0;
            width: 100%;
            height: 2px;
            background: #e83f82;
          }
        }
      }
    }
    .rmScs {
      width: 48px;
      height: 24px;
      border-color: #b2cbde;
      box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.06);
      border-radius: 4px;
      display: flex;
      align-items: center;
      justify-content: center;
      float: left;
      span {
        color: #2579a0;
      }
    }
    .rmScser {
      width: 60px;
      height: 24px;
      border-color: #9ebbf7;
      box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.06);
      border-radius: 4px;
      display: flex;
      align-items: center;
      justify-content: center;
      float: left;
      span {
        color: #2d67e3;
      }
    }
    .rmSc {
      width: 48px;
      height: 24px;
      background: #eb2f3b;
      box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.06);
      border-radius: 4px;
      display: flex;
      align-items: center;
      justify-content: center;
      span {
        color: #ffffff;
      }
    }

    .hrefBtn {
      width: 48px;
      height: 24px;
      background: #6f81bc;
      box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.06);
      border-radius: 4px;
      display: flex;
      align-items: center;
      justify-content: center;
      span {
        color: #ffffff;
      }
    }
    .tableStatus {
      font-size: 14px;
      .icon {
        width: 14px;
        height: 14px;
        background: #2d67e3;
        border-radius: 2px;
        display: inline-block;
        vertical-align: middle;
        position: relative;
        top: -2px;
      }
      .status0 {
        position: relative;
        top: 5px;
      }
      .status1 {
        position: relative;
        top: 5px;
        .icon {
          background-color: #afb4bf;
        }
      }
      .status2 {
        position: relative;
        top: 5px;
        .icon {
          background-color: #eb2f3b;
        }
      }
    }
    .el-table__fixed-right {
      thead {
        div {
          color: #101116;
        }
      }
    }
    .hd-td {
      .hd-tr {
        display: flex;
        justify-content: center;
        flex-direction: row;
        padding: 0 8px;
      }
    }
  }
  .data-table-btn {
    margin-top: 13px;
    line-height: 32px;
    margin-bottom: 20px;
  }
}
.filter-arrow {
  cursor: pointer;
  transition: 0.3s transform;
  &.arrow-active {
    transform: rotate(-180deg);
  }
  &.arrow-blue {
    color: #2d7cff;
    font-weight: bold;
  }
}
.el-select-dropdown__item.hover {
  background: #d2d6df;
}
.data-table-dialog {
  ::v-deep .dialog-content {
    .title {
      background-color: #2579a0;
    }
    .bcButton {
      background-color: #2579a0;
    }
    .contents {
      padding: 24px;
      .el-form {
        padding-right: 0;
      }
      .el-select {
        width: 100%;
      }
      .r40 {
        margin-right: 60px;
      }
    }
    .datetimes {
      width: 100%;
    }
    .el-form-item__content {
      line-height: 41px;
    }
  }
}
</style>
